﻿@model eCommerce.Services.Model.Banner
@using eCommerce.Services.Model
@using eCommerce.Services.Model.Enums
@{
    ViewBag.Title = "Banners";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="page-header">
    <h1 class="page-title">Banners</h1>
    <ol class="breadcrumb">
        <li class="active">Crear / Editar</li>
    </ol>
</div>

<div class="page-content">
    <div class="panel">
        <div class="panel-body">
            <div class="col-md-12">
                @using (Html.BeginForm("BannerUpdate", "Banners", FormMethod.Post, new { @class = "form-horizontal", @autocomplete = "off", @id = "bannerForm", @enctype = "multipart/form-data" }))
                {
                    <div class="example-wrap margin-lg-0">
                        <div class="nav-tabs-horizontal">
                            <div class="tab-content padding-top-20">
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">Nombre</label>
                                    <div class="col-sm-5">
                                        <input type="text" class="form-control" name="Name" value="@Model.Name" maxlength="50" />
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">Posicion</label>
                                    <div class="col-sm-5">
                                        <select id="Position" name="Position" class="form-control" data-plugin="select2">
                                            <option value="@((int)BannerPositionEnum.Central)" selected="@(Model.Position == (int)BannerPositionEnum.Central )">Central</option>
                                            <option value="@((int)BannerPositionEnum.Popup)" selected="@(Model.Position == (int)BannerPositionEnum.Popup )">Popup</option>
                                            <option value="@((int)BannerPositionEnum.Categoria)" selected="@(Model.Position == (int)BannerPositionEnum.Categoria )">Categoría</option>
                                            <option value="@((int)BannerPositionEnum.CategoriaDos)" selected="@(Model.Position == (int)BannerPositionEnum.CategoriaDos )">Categoría Dos</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">Tienda</label>
                                    <div class="col-sm-5">
                                        <select id="UserType" name="UserType" class="form-control" data-plugin="select2">
                                            <option value="@((int)UserTypeEnum.Minorista)" selected="@(Model.UserType == (int)UserTypeEnum.Minorista)">Minorista</option>
                                            <option value="@((int)UserTypeEnum.Mayorista)" selected="@(Model.UserType == (int)UserTypeEnum.Mayorista)">Mayorista</option>
                                            <option value="@((int)UserTypeEnum.Ambas)" selected="@(Model.UserType == (int)UserTypeEnum.Ambas)">Todas</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">Imagen Desktop</label>
                                    <div class="col-sm-5">
                                        <input type="file" name="Image" id="Image" data-plugin="dropify" data-default-file="@Model.ImageUrl" />
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">Imagen <br />Mobile</label>
                                    <div class="col-sm-5">
                                        <input type="file" name="ImageMobile" id="ImageMobile" data-plugin="dropify" data-default-file="@Model.ImageMobileUrl" />
                                    </div>
                                </div>
                                <input hidden="hidden" name="flagFullImageDelete" id="flagFullImageDelete" value="false" />
                                <input hidden="hidden" name="flagImageMobileDelete" id="flagmageMobileDelete" value="false" />
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">Link</label>
                                    <div class="col-sm-9">
                                        <input type="text" class="form-control" name="Link" id="Link" value="@Model.Link" />
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">Orden</label>
                                    <div class="col-sm-5">
                                        <input type="text" class="form-control" name="Order" id="Order" value="@(Model.Order > 0 ? Model.Order.ToString() : "")" />
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 control-label">Activo</label>
                                    <div class="col-sm-9">
                                        <div class="checkbox-custom checkbox-primary">
                                            <input type="checkbox" name="Active" id="Active" class="js-switch-small" data-plugin="switchery" data-size="small"
                                                   @(Model.Active ? "checked=\"checked\"" : "") data-switchery="true" style="display: none;">
                                        </div>
                                    </div>
                                </div>
                                <div class="text-right">
                                    <button type="submit" class="btn btn-primary btn-success" id="btnSave">Grabar</button>
                                    <button type="button" class="btn btn-default" onclick="window.location.href = '/Banners'">Cancelar</button>
                                    @Html.HiddenFor(model => model.BannerId)
                                </div>
                            </div>
                        </div>
                    </div>
                }
            </div>
        </div>
    </div>
</div>

@section Scripts {

    <script type="text/javascript" src="~/Scripts/Banners/BannerUpdate.js"></script>

}